package org.beangle.security.monitor;

import java.util.Set;

import org.beangle.security.Group;

/**
 * 授权判断服务
 * 
 * @author chaostone
 * 
 */
public interface AuthorityManager {

	public boolean isAuthorized(Long userId, String resourceName);

	public void registerAuthorities(Long userId);

	public void registerGroupAuthorities(Group group);

	public void removeAuthorities(Long userId);

	public boolean isPublic(String resourceName);

	public Set<String> getPublicResources();

	public void refreshCache();
}
