package org.beangle.security.monitor.auth.provider;

import org.beangle.security.User;
import org.beangle.security.monitor.Authentication;
import org.beangle.security.monitor.AuthenticationException;
import org.beangle.security.service.UserService;

/**
 * 被监视者服务
 * 
 * @author chaostone
 * 
 */
public interface AuthenticationProvider {

	public Authentication authenticate(Authentication auth) throws AuthenticationException;

	public boolean supports(Class<?> authTokenType);

	public void setUserService(UserService userService);

	public User attachToUser(Authentication auth);

}
