package org.beangle.security.monitor.auth.provider;

import javax.servlet.http.HttpServletRequest;

import org.beangle.security.monitor.Authentication;
import org.beangle.security.monitor.auth.web.ServletRequestAware;

public class UserNamePasswordAuthentication implements Authentication, ServletRequestAware {

	private String userName;

	private String password;

	private Object details;

	private HttpServletRequest request;

	public UserNamePasswordAuthentication() {
		super();
	}

	public UserNamePasswordAuthentication(String userName, String password) {
		super();
		this.userName = userName;
		this.password = password;
	}

	public Object getCredentials() {
		return password;
	}

	public Object setPrincipal(Object principal) {
		return userName = (String) principal;
	}

	public Object getDetails() {
		return details;
	}

	public Object getPrincipal() {
		return userName;
	}

	public void setDetails(Object details) {
		this.details = details;
	}

	public HttpServletRequest getRequest() {
		return request;
	}

	public void setRequest(HttpServletRequest request) {
		this.request = request;
	}

}
