package org.beangle.security.monitor.auth.provider.sso;

import javax.servlet.http.HttpServletRequest;

import org.beangle.security.monitor.Authentication;
import org.beangle.security.monitor.auth.ui.UserDetails;
import org.beangle.security.monitor.auth.web.ServletRequestAware;

public class SsoAuthentication implements Authentication, ServletRequestAware {

	private String userName;

	private UserDetails details;

	private HttpServletRequest request;

	public SsoAuthentication(HttpServletRequest request) {
		super();
		this.request = request;
	}

	public SsoAuthentication() {
		super();
	}

	public Object getCredentials() {
		return null;
	}

	public Object setPrincipal(Object principal) {
		return userName = (String) principal;
	}

	public Object getDetails() {
		return details;
	}

	public Object getPrincipal() {
		return userName;
	}

	public void setDetails(Object details) {
		this.details = (UserDetails)details;
	}

	public HttpServletRequest getRequest() {
		return request;
	}

	public void setRequest(HttpServletRequest request) {
		this.request = request;
	}

}
