package org.beangle.security.monitor.impl;

import javax.servlet.http.HttpSession;

public final class HttpSessionHolder {

	static ThreadLocal<HttpSession> sessionLocal = new ThreadLocal<HttpSession>();

	public static HttpSession getSession() {
		return sessionLocal.get();
	}

	public static void setSession(HttpSession session) {
		sessionLocal.set(session);
	}

	public static void remove() {
		sessionLocal.remove();
	}
}
