package org.beangle.security.monitor;


/**
 * 认证服务
 * 
 * @author chaostone
 * 
 */
public interface AuthenticationManager {
	/**
	 * 认证
	 * 
	 * @param auth
	 * @return
	 * @throws AuthenticationException
	 */
	public Authentication authenticate(Authentication auth) throws AuthenticationException;

	/**
	 * 退出 1)unregister session registry<br>
	 * 
	 * @param sessionId
	 */
	public OnlineActivity remove(String sessionId);

	/**
	 * session 控制器
	 * 
	 * @return
	 */
	public SessionController getSessionController();
}
