package org.beangle.security.monitor;

import java.util.Date;

import org.beangle.model.pojo.LongIdEntity;
import org.beangle.security.UserCategory;

public interface OnlineActivity extends LongIdEntity {

	public Object getPrincipal();

	public String getSessionid();

	public void expireNow();

	public boolean isExpired();

	public String getRemark();

	public Date getLoginAt();

	public Long getUserid();

	public String getFullname();

	public UserCategory getCategory();

	public Long getOnlineTime();

	public String getHost();

	public void refreshLastRequest();

	public Date getLastAccessAt();

}
