package org.beangle.security.monitor.auth.session.service;

import java.util.List;

import org.beangle.commons.collection.ListUtil;
import org.beangle.model.persist.impl.AbstractBaseDao;
import org.beangle.security.monitor.Authentication;
import org.beangle.security.monitor.OnlineActivity;
import org.beangle.security.monitor.auth.session.SessionRegistry;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class DBSessionRegistry extends AbstractBaseDao implements SessionRegistry {

	protected static final Logger logger = LoggerFactory.getLogger(DBSessionRegistry.class);
	
	@SuppressWarnings("unchecked")
	public List<OnlineActivity> getOnlineActivities() {
		return (List<OnlineActivity>)entityDao.searchHQLQuery("from " + OnlineActivity.class.getName());
	}

	public boolean isRegisted(Object principal) {
		return true;
	}

	public List<OnlineActivity> getOnlineActivities(Object principal, boolean includeExpiredSessions) {
		return ListUtil.newArrayList();
	}

	public void register(String sessionId, Object principal, OnlineActivity newActivity) {

	}

	public OnlineActivity getOnlineActivity(String sessionId) {
		return null;
	}

	public void refreshLastRequest(String sessionId) {
		OnlineActivity info = getOnlineActivity(sessionId);
		if (info != null) {
			info.refreshLastRequest();
		}
	}

	public void register(String sessionId, Authentication authentication) {
	}

	public OnlineActivity remove(String sessionId) {
		return null;
	}

	public int count() {
		return 0;
	}

}
