package org.beangle.security.monitor.auth.session.service;

import org.beangle.security.UserCategory;
import org.beangle.security.monitor.auth.session.CategoryProfile;
import org.beangle.security.monitor.auth.session.SessionProfile;
import org.beangle.security.monitor.auth.session.SessionProfileProvider;

public class SingleSessionProfileProvider implements SessionProfileProvider {

	protected SessionProfile profile;

	public SessionProfile getProfile() {
		return profile;
	}

	public void setProfile(SessionProfile profile) {
		this.profile = profile;
	}

	public CategoryProfile getCategoryProfile(UserCategory category) {
		return profile.getCategoryProfiles().get(category.getId());
	}
	

}
